# Class JProgressBar.AccessibleJProgressBar

java.lang.Object
javax.accessibility.AccessibleContext
java.awt.Component.AccessibleAWTComponent
java.awt.Container.AccessibleAWTContainer
javax.swing.JComponent.AccessibleJComponent
javax.swing.JProgressBar.AccessibleJProgressBar

All Implemented Interfaces:
  `Serializable, AccessibleComponent, AccessibleExtendedComponent, AccessibleValue`

Enclosing class:
  `JProgressBar`

protected class JProgressBar.AccessibleJProgressBar extends JComponent.AccessibleJComponent implements AccessibleValue
This class implements accessibility support for the `JProgressBar` class. It provides an implementation of the Java Accessibility API appropriate to progress bar user-interface elements.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

Since:
  1.2

## Nested Class Summary

### Nested classes/interfaces declared in class JComponent.AccessibleJComponent

`JComponent.AccessibleJComponent.AccessibleContainerHandler, JComponent.AccessibleJComponent.AccessibleFocusHandler`

### Nested classes/interfaces declared in class Component.AccessibleAWTComponent

`Component.AccessibleAWTComponent.AccessibleAWTComponentHandler, Component.AccessibleAWTComponent.AccessibleAWTFocusHandler`

## Field Summary

### Fields declared in class JComponent.AccessibleJComponent

`accessibleFocusHandler`

### Fields declared in class Container.AccessibleAWTContainer

`accessibleContainerHandler`

### Fields declared in class Component.AccessibleAWTComponent

`accessibleAWTComponentHandler, accessibleAWTFocusHandler`

### Fields declared in class AccessibleContext

`ACCESSIBLE_ACTION_PROPERTY, ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_COMPONENT_BOUNDS_CHANGED, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_HYPERTEXT_OFFSET, ACCESSIBLE_INVALIDATE_CHILDREN, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TABLE_CAPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_HEADER_CHANGED, ACCESSIBLE_TABLE_MODEL_CHANGED, ACCESSIBLE_TABLE_ROW_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_ROW_HEADER_CHANGED, ACCESSIBLE_TABLE_SUMMARY_CHANGED, ACCESSIBLE_TEXT_ATTRIBUTES_CHANGED, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AccessibleJProgressBar()`
Constructs an `AccessibleJProgressBar`.

## Method Summary

Modifier and Type
Method
Description
`AccessibleRole`
`getAccessibleRole()`
Gets the role of this object.
`AccessibleStateSet`
`getAccessibleStateSet()`
Gets the state set of this object.
`AccessibleValue`
`getAccessibleValue()`
Gets the `AccessibleValue` associated with this object.
`Number`
`getCurrentAccessibleValue()`
Gets the accessible value of this object.
`Number`
`getMaximumAccessibleValue()`
Gets the maximum accessible value of this object.
`Number`
`getMinimumAccessibleValue()`
Gets the minimum accessible value of this object.
`boolean`
`setCurrentAccessibleValue(Number n)`
Sets the value of this object as a `Number`.

### Methods declared in class JComponent.AccessibleJComponent

`addPropertyChangeListener, getAccessibleChild, getAccessibleChildrenCount, getAccessibleDescription, getAccessibleKeyBinding, getAccessibleName, getBorderTitle, getTitledBorderText, getToolTipText, removePropertyChangeListener`

### Methods declared in class Container.AccessibleAWTContainer

`getAccessibleAt`

### Methods declared in class Component.AccessibleAWTComponent

`addFocusListener, contains, getAccessibleComponent, getAccessibleIndexInParent, getAccessibleParent, getBackground, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

### Methods declared in class AccessibleContext

`firePropertyChange, getAccessibleAction, getAccessibleEditableText, getAccessibleIcon, getAccessibleRelationSet, getAccessibleSelection, getAccessibleTable, getAccessibleText, setAccessibleDescription, setAccessibleName, setAccessibleParent`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface AccessibleComponent

`addFocusListener, contains, getAccessibleAt, getBackground, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

## Constructor Details

### AccessibleJProgressBar

protected AccessibleJProgressBar()
Constructs an `AccessibleJProgressBar`.

## Method Details

### getAccessibleStateSet

public AccessibleStateSet getAccessibleStateSet()
Gets the state set of this object.

Overrides:
  `getAccessibleStateSet` in class `JComponent.AccessibleJComponent`
Returns:
  an instance of AccessibleState containing the current state of the object
See Also:
  - `AccessibleState`

### getAccessibleRole

public AccessibleRole getAccessibleRole()
Gets the role of this object.

Overrides:
  `getAccessibleRole` in class `JComponent.AccessibleJComponent`
Returns:
  an instance of AccessibleRole describing the role of the object
See Also:
  - `AccessibleRole`

### getAccessibleValue

public AccessibleValue getAccessibleValue()
Gets the `AccessibleValue` associated with this object. In the implementation of the Java Accessibility API for this class, returns this object, which is responsible for implementing the `AccessibleValue` interface on behalf of itself.

Overrides:
  `getAccessibleValue` in class `AccessibleContext`
Returns:
  this object
See Also:
  - `AccessibleValue`

### getCurrentAccessibleValue

public Number getCurrentAccessibleValue()
Gets the accessible value of this object.

Specified by:
  `getCurrentAccessibleValue` in interface `AccessibleValue`
Returns:
  the current value of this object
See Also:
  - `AccessibleValue.setCurrentAccessibleValue(Number)`

### setCurrentAccessibleValue

public boolean setCurrentAccessibleValue(Number n)
Sets the value of this object as a `Number`.

Specified by:
  `setCurrentAccessibleValue` in interface `AccessibleValue`
Parameters:
  `n` - the number to use for the value
Returns:
  `true` if the value was set
See Also:
  - `AccessibleValue.getCurrentAccessibleValue()`

### getMinimumAccessibleValue

public Number getMinimumAccessibleValue()
Gets the minimum accessible value of this object.

Specified by:
  `getMinimumAccessibleValue` in interface `AccessibleValue`
Returns:
  the minimum value of this object
See Also:
  - `AccessibleValue.getMaximumAccessibleValue()`

### getMaximumAccessibleValue

public Number getMaximumAccessibleValue()
Gets the maximum accessible value of this object.

Specified by:
  `getMaximumAccessibleValue` in interface `AccessibleValue`
Returns:
  the maximum value of this object
See Also:
  - `AccessibleValue.getMinimumAccessibleValue()`